#include "bug.h"
#include "debuggers.h"
#include <iostream>
#include <random>

namespace pabloader {
Bonus::Bonus(Debuggers* game)
    : Entity(game, &game->bonusesSprite)
{
    tileCols = 1;
    tileRows = 2;
#ifdef _DEBUG
    DEBUG_COLOR = olc::YELLOW;
#endif
}

BonusType Bonus::GetType()
{
    return static_cast<BonusType>(tileX * 4 + tileY);
}
}